/*H**************************************************************************
* NAME: config.h 
*----------------------------------------------------------------------------
* PURPOSE: 
*****************************************************************************/
#ifndef _CONFIG_H_
#define _CONFIG_H_

/*------ Include of file register */
#include "89c51rd2.h"
#include "lcd.h"



#define IRQ_INT0		0
#define IRQ_TIMER0		1
#define IRQ_INT1		2
#define IRQ_TIMER1		3
#define IRQ_UART		4
#define IRQ_TIMER2		5
#define IRQ_EWC			6
#define IRQ_CAN         7
#define IRQ_ADC         8
#define IRQ_TIM_OVF     9


#define MSK_TMOD_RAZT0  0x0F
#define MSK_TMOD_RAZT1  0xF0
#define MSK_TMOD_MOD0   0x03
#define MSK_TMOD_MOD1   0x30
#define MSK_TMOD_GAT0   0x08
#define MSK_TMOD_GAT1   0x80

#define MSK_IE_ES1      0x10

#define MSK_IE_ET0      0x02
#define MSK_IE_ET1      0x08
#define MSK_IP_PT0      0x02
#define MSK_IP_PT1      0x08
#define MSK_TCON_TR0    0x10
#define MSK_TCON_TR1    0x40
#define MSK_TCON_TF0    0x20
#define MSK_TCON_TF1    0x80
#define MSK_CKCON_X2    0x01
#define MSK_CKCON_T0X2  0x02
#define MSK_CKCON_T1X2  0x04


#define NO_XDATA 0x02

#define ENABLE_ALL_IT   ( EA = 1 ) 
#define DISABLE_ALL_IT  ( EA = 0 )
#define ENABLE_IT_UART  ( ES = 1 ) 
#define DISABLE_IT_UART ( ES = 0 )

#define B9600   0xFD  /* 11 059 200 */
#define B9600X2 0xFA  /* 11 059 200 in X2 mode */

#define DISABLE_IT_UART_1  (IE &= ~MSK_IE_ES1)
#define ENABLE_IT_UART_1   (IE |= MSK_IE_ES1)

#define ENABLE_IT_TIMER0  (IE |= MSK_IE_ET0)
#define DISABLE_IT_TIMER0 (IE &= ~MSK_IE_ET0)
#define ENABLE_IT_TIMER1  (IE |= MSK_IE_ET1) 
#define DISABLE_IT_TIMER1 (IE &= ~MSK_IE_ET1)
#define TIMER0_RUN        (TCON |= MSK_TCON_TR0) 
#define TIMER0_STOP       (TCON &= ~MSK_TCON_TR0)
#define TIMER1_RUN        (TCON |= MSK_TCON_TR1)
#define TIMER1_STOP       (TCON &= ~MSK_TCON_TR1)

#define NB_CLK_BY_INSTR    12
#define NB_CLK_BY_INSTR_X2 (NB_CLK_BY_INSTR / 2)
#define TIMER_MOD0_MAX     0x1FFF
#define TIMER_MOD1_MAX     0xFFFF
#define TIMER_MOD2_MAX     0xFF 
   
#define T0_MOD0      0x00
#define T0_MOD1      0x01
#define T0_MOD2      0x02
#define T0_MOD3      0x03
#define T0_NOT_GATED 0x00
#define T0_GATED     0x08
#define T0_POLLING   0x00
#define T0_INTERRUPT 0x02
#define T0_LEVEL0_IT 0x00
#define T0_LEVEL1_IT 0x02
#define T0_LEVEL2_IT 0x04
#define T0_LEVEL3_IT 0x06

#define T1_MOD0      0x00
#define T1_MOD1      0x10
#define T1_MOD2      0x20
#define T1_MOD3      0x30
#define T1_NOT_GATED 0x00
 #define T1_GATED     0x80(
#define T1_POLLING   0x00
#define T1_INTERRUPT 0x08
#define T1_LEVEL0_IT 0x00
#define T1_LEVEL1_IT 0x08
#define T1_LEVEL2_IT 0x10
#define T1_LEVEL3_IT 0x18





#endif /* _CONFIG_H_ */
