/*C*****************************************************************************
* FILE_NAME         : main.c                                             
*----------------------------------------------------------------------------                                         
*----------------------------------------------------------------------------
* FILE_PURPOSE:    
*
******************************************************************************/
/*_____ I N C L U D E - F I L E S ____________________________________________*/

/*------ Include of file register */
#include "config.h"

#define BARGRAPH_E     0xFB    /* bargraph enable with P3.2=0  P3.4=1 */
#define BARGRAPH_DIS   0x04    /* bargraph Disable with P3.2=1 P3.4=1 */



#define BARGRAPH_ENABLE		P3 = P3 & BARGRAPH_E
#define BARGRAPH_DISABLE	P3 = P3 | BARGRAPH_DIS


/*_____ G L O B A L S ________________________________________________________*/

volatile bit f_direction;




void int1_interrupt_routine(void) interrupt IRQ_INT1
{
	f_direction=~f_direction;
	
}
/*_____ P R I V A T E - F U N C T I O N S - D E C L A R A T I O N ____________*/



/*_____ L O C A L S __________________________________________________________*/




/*F**************************************************************************
* FUNCTION_NAME: main                                             
*-------------------------------------------------------------------------
* FUNCTION_PURPOSE:                          
* FUNCTION_INPUTS : void
* FUNCTION_OUTPUTS: void                                                                                                                 
******************************************************************************/
void main (void)
{
	unsigned int tempo;

	f_direction=0;


	lcd_init();
	lcd_wr_line(1, "   ATMEL C51    ");
	lcd_wr_line(2, "    APPLI 1     ");
	P1=0;
	BARGRAPH_ENABLE;


	// Added enable external interrupt 1 
	EX1=1;				


	while (1)
	{
		for (tempo=0; tempo < 0x3FFF; tempo ++);
		if ( f_direction )
		{
			if ( P1 == 0 ) 
				P1=1;
			else
				P1=P1<<1;
		}
		else
		{
			if ( P1 == 0 ) 
				P1=0x80;
			else
				P1=P1>>1;
		}
		P4=P1;
	}
 
}



